%define upstream_name    Devel-Caller
%define upstream_version 2.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Meatier versions of caller()
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(PadWalker)
BuildRequires:  perl-devel


%description
This module provides various improvements over the built-in caller()
primitive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Devel
%{perl_vendorarch}/auto/Devel


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.50.0-6.mga3
+ Revision: 365676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.50.0-5.mga3
+ Revision: 250498
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.50.0-4.mga2
+ Revision: 104166
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.50.0-3.mga1
+ Revision: 31904
- mageia rebuild
- imported package perl-Devel-Caller

